<!-- EasyUI CSS -->
<link href="<?php echo base_url() . "assets/" ?>easyui/themes/bootstrap/easyui.css" rel="stylesheet">
<link href="<?php echo base_url() . "assets/" ?>easyui/themes/icon.css" rel="stylesheet">

	<div class="row">
		<div id="table-content" class="col-lg-12">
			<table id="tbl">
				<div id="tb" style="padding:3px;height:auto;">
					<div style="margin-bottom:0px; max-width:100px;">												
						<?php echo @$create; ?>
					</div>
				</div>
			</table>
		</div>
	</div>

	<div class="row">
		<div class="extra-footer col-lg-12" style="height:25px;"></div>
		<div class="col-lg-12 page-footer-table"></div>
		<!-- only space 
		-->
	</div>

<script>

	var tbl, setup; // setup is flag
    $(document).ready(function () {
		setup = 0;
		tbl = $('#tbl').datagrid({width: '100%'});
        var toolbarCostum = $('#tb');
		tbl.datagrid(gridConfigGeneralNoRowNumFixHeight);
		tbl.datagrid({
			pageNumber: '<?php echo $pnumber?>',
			pageSize: '<?php echo $psize?>',
		});
        tbl.datagrid({
            url: '<?php echo site_url('/') . $controller . '/load_data'; ?>',
            title: "List Users Management",
            toolbar: toolbarCostum,
            onLoadSuccess: loadAction, 
			frozenColumns:[[
				{field: 'options', title: 'ACTION', width: 100, halign: 'center', align: 'center', formatter: formatButton},
			]],	
            columns: [[
                    {field: 'username', title: 'Username', width: 200, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'alias', title: 'Nama User', width: 170, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'user_status', title: 'Status', width: 100, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'role_name', title: 'Role Name', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'nama_karyawan', title: 'Nama Karyawan', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'jabatan', title: 'Jabatan', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'created_by', title: 'Created By', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'created_date', title: 'Created Date', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'modified_by', title: 'Modified By', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    {field: 'modified_date', title: 'Modified Date', width: 150, sortable: 'true', halign: 'center', align: 'center'},
                    
                ]]
        });
    });
	
	function loadAction() {
		// fix asyn setup and multiple setup
		if (setup == 0){
			tbl.datagrid('enableFilter',
				 [ {
					field: 'created_date',
					type: 'datebox',
					options: {formatter: myFormatter, parser: myParser},
					op: ['equal', 'less', 'greater']
				},{
					field: 'modified_date',
					type: 'datebox',
					options: {formatter: myFormatter, parser: myParser},
					op: ['equal', 'less', 'greater']
				}] 
			);  
			// remove filter option
			$("input[name='options']").remove();
			setup = 1;
		}
		// fix
		//resizeContentDOMFit();
		// filter
		tbl.datagrid('resize', 'fixRowHeight');
	}
	
	 // format date
    function myFormatter(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        var d = date.getDate();
        return y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
    }

    // required
    function myParser(s) {
        if (!s)
            return new Date();
        var ss = (s.split('-'));
        var y = parseInt(ss[0], 10);
        var m = parseInt(ss[1], 10);
        var d = parseInt(ss[2], 10);
        if (!isNaN(y) && !isNaN(m) && !isNaN(d)) {
            return new Date(y, m - 1, d);
        } else {
            return new Date();
        }
    }

	
	 // inline editor on row
    function formatButton(val, row, index) {
      
		var updateBtn = '<?php echo @$update; ?>';
		var deleteBtn = '<?php echo @$delete; ?>';
		var scpace = '&nbsp;&nbsp;&nbsp;';
        
		// return previewBtn
        return updateBtn + deleteBtn;
		
    }

	function edit_view(userid) {
		window.location.href = "<?php echo '#'.$controller.'/form/'; ?>"+userid;
	}
	
	function create_view() {
		window.location.href = "<?php echo '#'.$controller.'/form/'; ?>";
	}
	
	function delete_data(userid) {
		
		var alertmsg = 'Delete Data Ini ?';
		if (confirm(alertmsg)) {
			
			
			/* $.post("adm_tahun_ajaran/change_tahun_ajaran", {row_id: row_id}, function () {
                  //window.location.href = '#adm_tahun_ajaran/';
                    //window.location.reload();
                }, 'json'); */
				
			$.ajax({
			url:"<?php echo site_url('/').$controller; ?>/delete",
			type: "POST",
			dataType:"json",
			data:"userid="+userid,
			success : function(msg){			
				container = $('#content');
				var url = location.hash.replace(/^#/, '');
				loadURL(url + location.search, container);
			},
			error :function(msg){
				$("#content").html("<span class='label label-important'> Error </span>");			
				$("#loading_anim").hide();
			}
			}); 
			
		}
	}		
</script>